using System.Text.Json.Serialization;
using YandexMusic.API.Models.Radio.Restriction;

namespace YandexMusic.API.Models.Radio;

public class YStationRestrictions
{
    [JsonConverter(typeof(YRestrictionConverter))]
    public YRestriction Diversity { get; set; }
    [JsonConverter(typeof(YRestrictionConverter))]
    public YRestriction Energy { get; set; }
    [JsonConverter(typeof(YRestrictionConverter))]
    public YRestriction Language { get; set; }
    [JsonConverter(typeof(YRestrictionConverter))]
    public YRestriction Mood { get; set; }
}